Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154245 - RHEL3 U4 - kswapd/rpciod deadlock
Summary: RHEL3 U4 - kswapd/rpciod deadlock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156321
TreeView+ depends on / blocked
 
Reported: 2005-04-08 18:10 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-24 22:24:58 UTC


Attachments (Terms of Use)
Patch from SteveD to allow rpciod to detect low memory conditions and avoid calling down to kswapd. (deleted)
2005-04-08 18:15 UTC, Don Howard
no flags Details | Diff
Updated patch (deleted)
2005-04-20 11:10 UTC, Steve Dickson
no flags Details | Diff
There is a cut/paste error in the previous patch please us this one (deleted)
2005-04-23 13:36 UTC, Steve Dickson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2005-04-08 18:10:49 UTC
Escalated to Bugzilla from IssueTracker

Comment 2 Don Howard 2005-04-08 18:15:31 UTC
Created attachment 112867 [details]
Patch from SteveD to allow  rpciod to detect low memory conditions and avoid calling down to kswapd.

Comment 3 Steve Dickson 2005-04-20 11:10:17 UTC
Created attachment 113404 [details]
Updated patch

Derived from our internal review process, here is a much
cleaner and (should be) just as effective solution to this deadlock.
If possible, could you please test this patch to sure it truly does
solve the deadlock and does not introduce any regressions.

Comment 5 Steve Dickson 2005-04-23 13:36:58 UTC
Created attachment 113582 [details]
There is a cut/paste error in the previous patch please us this one

Comment 8 Ernie Petrides 2005-05-05 00:36:48 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.3.EL).


Comment 22 Red Hat Bugzilla 2005-09-28 14:53:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html


Comment 23 Ernie Petrides 2005-10-21 22:19:19 UTC
*** Bug 168934 has been marked as a duplicate of this bug. ***

Comment 24 Ernie Petrides 2005-10-21 23:48:34 UTC
*** Bug 168878 has been marked as a duplicate of this bug. ***

Comment 27 Ernie Petrides 2005-10-24 22:24:58 UTC
Apparently, IT 72547 is related to a different problem.  Thus, I'm
un-dup'ing bug 168878 from this one and moving the IT link from here
to there.  I'll repost the previous comment over there as well.

Reclosing this bug.


Note You need to log in before you can comment on or make changes to this bug.